Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xom
Class XomUriResolver

    java.lang.Object
      net.sf.saxon.StandardURIResolver
          net.sf.saxon.xom.XomUriResolver

All Implemented Interfaces:
  Serializable, URIResolver, NonDelegatingURIResolver

    public class XomUriResolver

extends StandardURIResolver

This class is a URI resolver that loads an XML document found at the relevant URI and builds a XOM tree from it; the XOM tree is then returned as a source object. The main purpose of this class is for testing: any application that works with a Saxon tinytree can be tested against XOM merely by selecting this URIResolver.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`XomUriResolver(Configuration config)`

Method Summary
`Source` | `resolve(String href, String base)` Resolve a URI

Methods inherited from class net.sf.saxon.StandardURIResolver
`getConfiguration, queryParametersAreRecognized, setConfiguration, setRecognizeQueryParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XomUriResolver

    public XomUriResolver(Configuration config)

Method Detail

### resolve

    public Source resolve(String href,
                          String base)
                   throws XPathException

  Resolve a URI

  Specified by:
    `resolve` in interface `URIResolver`
  Overrides:
    `resolve` in class `StandardURIResolver`
  Parameters:
    `href` - The relative or absolute URI. May be an empty string. May contain a fragment identifier starting with "#", which must be the value of an ID attribute in the referenced XML document.
    `base` - The base URI that should be used. May be null if uri is absolute.
  Returns:
    a Source object representing an XML document
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.